### Enumeration

# Qmi WdsVerboseCallEndReasonEhrpd

since: 1.0

#### Declaration

    enum Qmi.WdsVerboseCallEndReasonEhrpd

#### Description [src]

EHRPD-specific call end reasons, given when the `QmiWdsVerboseCallEndReasonType` is #QMI_WDS_VERBOSE_CALL_END_REASON_TYPE_EHRPD.

Available since: 1.0

#### Members

`QMI_WDS_VERBOSE_CALL_END_REASON_EHRPD_SUBSCRIPTION_LIMITED_TO_IPV4`

  Subscription limited to IPv4.

  - Value: `1`
  - Available since: 1.0
`QMI_WDS_VERBOSE_CALL_END_REASON_EHRPD_SUBSCRIPTION_LIMITED_TO_IPV6`

  Subscription limited to IPv6.

  - Value: `2`
  - Available since: 1.0
`QMI_WDS_VERBOSE_CALL_END_REASON_EHRPD_VSNCP_TIMEOUT`

  VSNCP specific. timeout.

  - Value: `4`
  - Available since: 1.0
`QMI_WDS_VERBOSE_CALL_END_REASON_EHRPD_VSNCP_FAILURE`

  VSNCP specific. failure.

  - Value: `5`
  - Available since: 1.0
`QMI_WDS_VERBOSE_CALL_END_REASON_EHRPD_VSNCP_3GPP2_GENERAL_ERROR`

  VSNCP specific. 3GPP2 general error.

  - Value: `6`
  - Available since: 1.0
`QMI_WDS_VERBOSE_CALL_END_REASON_EHRPD_VSNCP_3GPP2_UNAUTHENTICATED_APN`

  VSNCP specific. 3GPP2 unauthenticated APN.

  - Value: `7`
  - Available since: 1.0
`QMI_WDS_VERBOSE_CALL_END_REASON_EHRPD_VSNCP_3GPP2_PDN_LIMIT_EXCEEDED`

  VSNCP specific. 3GPP2 PDN limit exceeded.

  - Value: `8`
  - Available since: 1.0
`QMI_WDS_VERBOSE_CALL_END_REASON_EHRPD_VSNCP_3GPP2_NO_PDN_GATEWAY`

  VSNCP specific. 3GPP2 no PDN gateway.

  - Value: `9`
  - Available since: 1.0
`QMI_WDS_VERBOSE_CALL_END_REASON_EHRPD_VSNCP_3GPP2_PDN_GATEWAY_UNREACHABLE`

  VSNCP specific. 3GPP2 PDN gateway unreachable.

  - Value: `10`
  - Available since: 1.0
`QMI_WDS_VERBOSE_CALL_END_REASON_EHRPD_VSNCP_3GPP2_PDN_GATEWAY_REJECTED`

  VSNCP specific. 3GPP2 PDN gateway rejected.

  - Value: `11`
  - Available since: 1.0
`QMI_WDS_VERBOSE_CALL_END_REASON_EHRPD_VSNCP_3GPP2_INSUFFICIENT_PARAMETERS`

  VSNCP specific. 3GPP2 insufficient parameters.

  - Value: `12`
  - Available since: 1.0
`QMI_WDS_VERBOSE_CALL_END_REASON_EHRPD_VSNCP_3GPP2_RESOURCE_UNAVAILABLE`

  VSNCP specific. 3GPP2 resource unavailable.

  - Value: `13`
  - Available since: 1.0
`QMI_WDS_VERBOSE_CALL_END_REASON_EHRPD_VSNCP_3GPP2_ADMINISTRATIVELY_PROHIBITED`

  VSNCP specific. 3GPP2 administratively prohibited.

  - Value: `14`
  - Available since: 1.0
`QMI_WDS_VERBOSE_CALL_END_REASON_EHRPD_VSNCP_3GPP2_PDN_ID_IN_USE`

  VSNCP specific. 3GPP2 PDN ID in use.

  - Value: `15`
  - Available since: 1.0
`QMI_WDS_VERBOSE_CALL_END_REASON_EHRPD_VSNCP_3GPP2_SUBSCRIPTION_LIMITATION`

  VSNCP specific. 3GPP2 subscription limitation.

  - Value: `16`
  - Available since: 1.0
`QMI_WDS_VERBOSE_CALL_END_REASON_EHRPD_VSNCP_3GPP2_PDN_EXISTS_FOR_THIS_APN`

  VSNCP specific. 3GPP2 PDN exists for this APN.

  - Value: `17`
  - Available since: 1.0

#### Type functions

###### qmi_wds_verbose_call_end_reason_ehrpd_get_string

Gets the nickname string for the `QmiWdsVerboseCallEndReasonEhrpd` specified at `val`.

since: 1.0